## org.apache.log4j.lf5
Class PassingLogRecordFilter

    java.lang.Object
      org.apache.log4j.lf5.PassingLogRecordFilter

All Implemented Interfaces:
  LogRecordFilter

    public class PassingLogRecordFilter

extends java.lang.Object
implements LogRecordFilter

An implementation of LogRecordFilter which always returns true.

Author:
  Richard Wan

Constructor Summary
`PassingLogRecordFilter()`

Method Summary
`boolean` `passes(LogRecord record)`
`void` `reset()` Does nothing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PassingLogRecordFilter

    public PassingLogRecordFilter()

Method Detail

### passes

    public boolean passes(LogRecord record)

  Specified by:
    `passes` in interface `LogRecordFilter`
  Returns:
    true;

### reset

    public void reset()

  Does nothing.

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.